﻿@page
@model RegisterModel
@{
    ViewData["Title"] = "Register";
}

<h1 class="text-center">Register</h1>
<hr class="bg-dark w-50 fr-2" />
<form asp-route-returnUrl="@Model.ReturnUrl" class="mx-auto w-50" method="post">
    <div class="form-group">
        <label asp-for="Input.Username">Username</label>
        <input type="text"
               class="form-control"
               id="username"
               placeholder="Username..."
               asp-for="Input.Username" />
        <span asp-validation-for="Input.Username" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Input.Password">Password</label>
        <input type="password"
               class="form-control"
               id="password"
               placeholder="Password..."
               asp-for="Input.Password" />
        <span asp-validation-for="Input.Password" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Input.ConfirmPassword">Confirm Password</label>
        <input type="password"
               class="form-control"
               id="confirmPassword"
               placeholder="Confirm Password..."
               asp-for="Input.ConfirmPassword" />
        <span asp-validation-for="Input.ConfirmPassword" class="text-danger"></span>
    </div> 
    <div class="form-group">
        <label asp-for="Input.Email">Email</label>
        <input type="email"
               class="form-control"
               id="email"
               placeholder="Email..."
               asp-for="Input.Email" />
        <span asp-validation-for="Input.Email" class="text-danger"></span>
    </div>
    <div class="button-holder d-flex justify-content-center bg-dark">
        <button type="submit" class="text-white">Register</button>
    </div>
</form>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
